JNA API 3.3.0

## com.sun.jna.platform.win32
Class Shell32Util

    java.lang.Object
      com.sun.jna.platform.win32.Shell32Util

    public abstract class Shell32Util

extends Object

Shell32 Utility API.

Author:
  dblock[at]dblock.org

Constructor Summary
`Shell32Util()`

Method Summary
`static String` | `getFolderPath(int nFolder)` Get a special folder path.
`static String` | `getFolderPath(WinDef.HWND hwnd, int nFolder, WinDef.DWORD dwFlags)` Get a special folder path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Shell32Util

    public Shell32Util()

Method Detail

### getFolderPath

    public static String getFolderPath(WinDef.HWND hwnd,
                                       int nFolder,
                                       WinDef.DWORD dwFlags)

  Get a special folder path.

  Parameters:
    `hwnd` - Parent window.
    `nFolder` - Folder CSLID.
    `dwFlags` - Flags.
  Returns:
    Special folder.

### getFolderPath

    public static String getFolderPath(int nFolder)

  Get a special folder path.

  Parameters:
    `nFolder` - Folder CSLID.
  Returns:
    Special folder path.

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.